﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;

@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts{
    <script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
    <script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>
    @Content.Script("jquery.tablesorter.js", Url)
    @Content.Script("jquery.tablesorter.pager.js", Url)
    <script>
        $("#txtFDate").datepicker();
        $("#txtTDate").datepicker();
    </script>

    <script>
        $("#printbtn").click(function () {
            var FDT = $("#txtFDate").val();
            var TDT = $("#txtTDate").val();
            var BrTo = $("#BranchTo").val();
            var BrFrom = $("#BranchFrom").val();
            var format = $("#format").val();
            if (FDT != "" && TDT != "") {
                window.open("/Reports/PrintData?fdt=" + FDT + "&tdt=" + TDT + "&BrTo=" +BrTo+ "&BrFrom=" +BrFrom+ "&format=" + format,"_blank");
            }
            else {
                alert("Please Fill Date  Fields");
            }
        })
    </script>
    <script type="text/javascript">
        $("#pagng").css('width', '80px');
        $("#txtpageno").css('width', '100px');
        $(function () {
            $(".table").tablesorter({ widthFixed: true })
               .tablesorterPager({ container: $("#pager"), size: $(".pagesize option:selected").val() });
        });
    </script>

}
<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        Student Transfer Report
    </h1>
</div>
<ul class="breadcrumb">
    @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
        string refadd = CommonUtil.HomeAddress(utype);
    }
    <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>

<div class="container-fluid">
    <div class="row-fluid">
        <div class="btn-toolbar">
            <div class="btn-group">
            </div>
        </div>
        <div style="margin-top: 40px">
            <table>
                <tr>
                    <td align="left">
                        From Date
                    </td>
                    <td style="vertical-align: middle">
                        To Date
                    </td>
                    <td>
                        Transferred From Branch
                    </td>
                    <td>
                        Transferred To Branch
                    </td>
                 
                    <td></td>
                </tr>

                <tr>
                    <td>
                        <input id="txtFDate" type="text" value="@ViewBag.Fdate" style="width: 110px" />
                    </td>
                    <td>
                        <input id="txtTDate" type="text" value="@ViewBag.Tdate" style="width: 110px" />
                    </td>
                  
                    <td>
                        @Html.DropDownList("BranchFrom", (SelectList)ViewBag.val, "All", new { @class = "form-control input-large select2me", @Placeholder = "Select" })
                    </td>
                    <td>
                        @Html.DropDownList("BranchTo", (SelectList)ViewBag.val, "All", new { @class = "form-control input-large select2me", @Placeholder = "Select" })
                    </td>
                    <td>

                        <select id="format" style="width:105px;">
                            <option value="PDF">PDF</option>
                            <option value="Excel">Excel</option>
                        </select>
                    </td>
                    <td style="vertical-align: top">
                        <table>
                            <tr>
                                <td style="vertical-align: top">
                                    <input type="button" value="Print" id="printbtn" class="btn btn-primary" />
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
        </div>

    </div>
</div>
